> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# On-chain Withdrawals

> Create request to withdraw funds onchain to wallet address

# Create Withdrawal Request

The [`POST /user/withdrawals`](/api-reference/user/create-withdrawal) endpoint allows you to create a withdrawal request for a user.
The withdrawal happens to the GP Safe's Owner wallet address.

<Info>
  **Withdrawals are per token.** Each withdrawal request targets a single token via `tokenAddress`.
</Info>

<Warning>
  **Withdrawal Restrictions:**

  * Only specific tokens are currently supported for withdrawals
  * Withdrawals are restricted to the Safe owner address — the wallet address that initiated the Safe deployment via the [POST /user/account](/api-reference/user/create-account) endpoint.
</Warning>

<Note>
  Token addresses supported for withdrawals on Celo:

  * CeloUSDT = "0x48065fbbe25f71c9282ddf5e1cd6d6a887483d5e"
  * CeloUSDC = "0xceba9300f2b948710d2653dd7b07f33a8b32118c"
</Note>

<Tabs>
  <Tab title="Sandbox">
    ```bash theme={null}
    curl --request POST \
      --url https://gp-auth-module.sandbox.gnosispay.in/user/withdrawal \
      --header 'Content-Type: application/json' \
      --data '{
      "tokenAddress": "<string>",
      "amount": "<string>"
    }'
    ```
  </Tab>

  <Tab title="Production">
    ```bash theme={null}
    curl --request POST \
      --url https://core.prod.gnosispay.com/user-api/user/withdrawal \
      --header 'Content-Type: application/json' \
      --data '{
      "tokenAddress": "<string>",
      "amount": "<string>"
    }'
    ```
  </Tab>
</Tabs>
